/* Indigo Blue theme
 * Indigo: #3F51B5 = rgba(63,81,181)
 * Blue: #2196F3 = rgba(33.150,243)
 */

body {
  font-family: "Roboto", sans-serif;
  --col-deepblue: #4478e3;
  background-color: #cbeef8;
}

html {
  scroll-behavior: smooth;
}

#myBtn {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 30px;
  z-index: 99;
  font-size: 25px;
  border: none;
  outline: none;
  background-color: #87cefa;
  color: white;
  font-color: blue;
  cursor: pointer;
  padding: 6px;
  border-radius: 50%;
  height: 50px;
  width: 50px;
}

.fa-angle-double-up {
  font-weight: bolder;
}

#myBtn:hover {
  background-color: #d3d3d3;
}

p {
  font-size: 16px;
}

h2,
h3 {
  margin-top: 48px;
}

a {
  color: #1976d2;
  text-decoration: none;
}

.nwoc-header {
  background-color: white;
}

.nwoc-menu-njack {
  color: rgba(31, 136, 245, 0.9) !important;
  font-weight: 600;
  text-decoration: none;
  text-transform: uppercase;
}

.nwoc-menu-title {
  color: rgba(0, 0, 0, 0.54) !important;
  text-decoration: none;
}

.nwoc-menu-item,
.nwoc-drawer-item {
  color: rgba(0, 0, 0, 0.54) !important;
  font-size: 1.2rem !important;
  font-weight: 600;
  padding: 0 15px !important;
  text-decoration: none;
  text-transform: uppercase;
}

.nwoc-menu-item:hover {
  color: rgba(31, 136, 245, 0.9) !important;
}

.nwoc-close-button-div {
  text-align: right;
}

.nwoc-close-button {
  height: 56px;
  color: rgba(0, 0, 0, 0.54);
  min-width: 64px !important;
}

.nwoc-close-button:hover {
  color: rgba(31, 136, 245, 0.9);
}

.mdl-layout__header-row {
  padding: 0 10px 0 60px;
}

.mdl-layout__content {
  border-top: solid 1px rgba(0, 0, 0, 0.4);
}
.mdl-layout__container {
  position: static;
}

.mdl-layout__drawer-button,
.mdl-layout__drawer {
  left: initial;
  right: 0;
}

.mdl-layout__drawer {
  transform: translateX(250px);
}

.mdl-layout__drawer-button {
  color: rgba(0, 0, 0, 0.54) !important;
}

.mdl-layout__drawer .mdl-navigation {
  padding-top: 0;
}

.mdl-button {
  min-width: 232px;
}

.nwoc-big-logo {
  position: absolute;
  width: 400px;
  left: calc(50vw - 450px);
  top: 175px;
}

.codepeak-big-logo {
  position: absolute;
  width: 400px;
  left: calc(50vw - 0px);
  top: 250px;
}

@media screen and (min-width: 961px) {
  .mdl-layout--no-desktop-drawer-button .mdl-layout__header-row {
    padding-left: 30px;
  }
}

@media screen and (max-width: 961px) {
  #myBtn {
    bottom: 15px;
    right: 9px;
  }
}

@media screen and (max-width: 960px) {
  .mdl-layout__header-row {
    padding: 0 10px 0 20px;
  }

  .nwoc-menu-item,
  .nwoc-drawer-item {
    padding: 12px 15px !important;
  }
}

.logo-section {
  display: flex;
  flex-direction: column;
}

.nwoc-landing-header {
  background-image: url("./?mortyurl=https%3A%2F%2Fnjackwinterofcode.github.io%2Fimages%2Fwinter_back_enhanced_colors_moderate.jpg");
  background-color: #90caf9;
  height: 515px;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.nwoc-slogan p {
  color: white;
  width: 500px;
  position: absolute;
  left: calc(50vw - 250px);
  top: 340px;
  font-size: 1.4em !important;
  line-height: 1.4em !important;
  text-align: justify;
  text-shadow: 1px 1px 3px black;
}

.nwoc-header-sponsors {
  width: 500px;
  position: absolute;
  left: calc(50vw - 250px);
  top: 510px;
  text-align: center;
}

.nwoc-header-sponsors p {
  color: white;
  text-shadow: 1px 1px 3px black;
}

.nwoc-header-sponsors img {
  height: 70px;
  padding-right: 10px;
  padding-left: 10px;
}

.nwoc-content {
  max-width: 750px;
  display: block;
  margin: 0 auto;
  margin-bottom: 40px;
  padding: 15px 1px;
}

.nwoc-manuals,
.nwoc-manuals div {
  padding-left: 0;
  margin-left: 0;
}

.nwoc-timeline {
  width: 100%;
  border-spacing: 0;
}

.nwoc-timeline td {
  vertical-align: top;
  padding-top: 15px;
  padding-bottom: 25px;
}

.nwoc-timeline-begin::before {
  border: 5px solid #2196f3;
  content: "NWoC 2020 begins!";
  width: 124px;
  height: 25px;
  border-radius: 10px;
  top: 1px;
  left: -74px;
  position: absolute;
  padding: 12px;
}

.nwoc-timeline-begin {
  width: 6px;
  height: 20px;
  position: relative;
}

.nwoc-timeline-divider::before {
  border: 5px solid #2196f3;
  background-color: #90caf9;
  content: "";
  width: 14px;
  height: 14px;
  border-radius: 50%;
  top: 15px;
  left: -8px;
  position: absolute;
}

.nwoc-timeline-divider {
  width: 6px;
  background-color: #2196f3;
  position: relative;
}

.nwoc-timeline-end::before {
  border: 5px solid #2196f3;
  content: "NWoC 2020 ends";
  width: 113px;
  height: 22px;
  border-radius: 10px;
  top: -1px;
  left: -69px;
  position: absolute;
  padding: 12px;
}

.nwoc-timeline-end {
  width: 6px;
  position: relative;
}

.nwoc-timeline-left {
  padding-right: 25px;
}

.nwoc-timeline-right {
  padding-left: 25px;
}

.nwoc-timeline-heading {
  font-size: 1.4em !important;
}

.nwoc-timeline-date {
  font-size: 1.2em !important;
  color: rgba(0, 0, 0, 0.54);
}

.nwoc-timeline-desc {
  font-size: 1.2em !important;
}

.nwoc-current-sponsors {
  height: 160px;
  margin-right: 30px;
  margin-bottom: 30px;
}
/* Search Bar */
#searchBar {
  background-color: white;
  border: none;
  border: 2px solid #a6d2ff;
  display: block;
  width: 95%;
  margin: 20px auto;
  padding: 8px;
  font-size: 14px;
  outline: none;
  box-shadow: 6px 6px 3px #45889b;
}

.nwoc-repo-card {
  display: block;
  margin-bottom: 10px;
  padding: 18px;
  max-width: 328px;
  height: 150px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 5px;
  position: relative;
  box-shadow: 5px 7px 8px rgb(65 159 159);
  transform: scale(0.99);
  transition: all 0.2s ease-in-out;
}

.nwoc-repo-card:hover {
  box-shadow: 8px 10px 12px rgb(65 159 159);
  transform: scale(1);
}

.nwoc-repo-card .repo-title {
  font-size: 1.2em;
  color: #1976d2;
  text-decoration: none;
  margin-left: 5px;
}

.nwoc-repo-card .repo-title:hover {
  text-decoration: underline;
}

.nwoc-repo-card .repo-desc {
  margin-top: 10px;
}

.nwoc-repo-card img {
  opacity: 0.6;
  padding-bottom: 3px;
}

.nwoc-repo-card .repo-stats {
  position: absolute;
  bottom: 15px;
  list-style: none;
  padding: 0;
  margin: 0;
}

.nwoc-repo-card .repo-mentors {
  position: absolute;
  bottom: 42px;
}

.repo-stats li {
  display: inline-block;
  margin-right: 12px;
}

.nwoc-sponsor {
  height: 3em;
}

.mdl-mini-footer {
  padding: 32px 30px;
}

.nwoc-footer {
  width: 750px;
  margin: 0 auto;
}

/* Archive Page Start Her*/
details summary::-webkit-details-marker {
  display: none;
}

.archive summary {
  width: 30%;
  margin-bottom: 12px;
  padding: 8px;
  outline: none;
  cursor: pointer;
  font-size: 16px;
  background-color: #b9ebfa;
  box-shadow: 4px 3px 4px #a3cbf2;
  transform: scale(0.98);
  transition: all 0.3s ease;
}

.archive summary:hover {
  transform: scale(1.05);
  background-color: #9ee1f9;
  box-shadow: 5px 6px 8px #a3cbf2;
}

/* Contact Page Start Here */
.nwoc-contact {
  width: 160px;
}

.contact-heading {
  text-align: center;
}

.nwoc-contact + p {
  margin-top: 15px;
  margin-bottom: 0;
  font-size: 18px;
  text-align: center;
}

img.nwoc-contact {
  display: block;
  width: 50%;
  margin: 0 auto;
}

.social-links {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.social-links a {
  font-size: 1.5em;
  padding: 12px;
  background-color: white;
  border: 2px solid rgb(167, 218, 233);
  border-radius: 50%;
  margin: 4px;
  transform: scale(1);
  transition: all 0.1s ease;
}

.member-links a {
  font-size: 16px;
  padding: 8px;
}

.social-links a:hover {
  transform: scale(1.1);
  border: 2px solid rgb(129, 204, 227);
}

.fa-facebook-f {
  color: #3b5998;
  margin: 1px 0.3em;
}

.fa-twitter {
  color: #1da1f2;
}

.fa-github {
  color: black;
}

.fa-gitter {
  color: #35dd02;
  margin: 1px 2px;
}

.fa-envelope {
  color: #ca6363;
}

@media screen and (max-width: 960px) {
  .nwoc-landing-header {
    height: 570px;
  }

  .nwoc-big-logo {
    top: 120px;
    width: 300px;
    left: calc(50vw - 150px);
  }

  .codepeak-big-logo {
  position: absolute;
  width: 400px;
  left: calc(50vw - 190px);
  top: 330px;
}

  .nwoc-slogan p {
    top: 270px;
    width: 300px;
    left: calc(50vw - 150px);
    font-size: 1.2em !important;
  }

  .nwoc-header-sponsors {
    top: 410px;
    width: 300px;
    left: calc(50vw - 150px);
  }

  .nwoc-header-sponsors img {
    height: 60px;
  }

  .nwoc-header-sponsors p {
    font-size: 1em !important;
  }

  .nwoc-content {
    padding: 1px 30px;
  }
}

.leaderboard .handle {
  padding: 0 250px;
}

.leaderboard td,
th {
  text-align: center;
}

.leaderboard {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border-collapse: collapse;
  margin: 25px 0;
  font-size: 1.05em;
  min-width: 400px;
  border-radius: 5px 5px 0 0;
  overflow: hidden;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
}

.leaderboard thead tr {
  background-color: #ffffff;
  color: #000000;
  text-align: left;
  font-weight: bold;
}

.leaderboard th,
.leaderboard td {
  padding: 15px 15px;
}

.leaderboard tbody tr {
  border-bottom: 1px solid #dddddd;
  transition: all 0.3s;
}

.leaderboard tbody tr :hover {
  font-weight: bold;
  color: #000000;
  transition: all 0.3s;
}

.leaderboard .handle a {
  text-decoration: none;
}

.leaderboard tbody tr.handle :hover {
  cursor: pointer;
}

.leaderboard tr:hover {
  background-color: rgb(230, 250, 250);
  opacity: 0.9;
  font-weight: 1.2rem;
}

/* Responsive Leaderboard */

@media screen and (max-width: 960px) {
  .leaderboard .handle {
    padding: 0 30px;
  }

  .leaderboard {
    margin: 30px 0;
    font-size: 1.05em;
    min-width: 10px;
  }
}

footer {
  width: 100vw;
  bottom: 0px;
}
footer div {
  /*   background-color: var(--col-deepblue); */
  margin: -5px 0px 0px 0px;
  padding: 0px;
  text-align: center;
}
svg {
  width: 100%;
  overflow: visible;
}

.wave {
  animation: wave 3s linear;
  animation-iteration-count: infinite;
  fill: #4478e3;
}
.drop {
  fill: var(--col-deepblue);
  xfill: #99000055;
  animation: drop 3.2s linear infinite normal;
  stroke: var(--col-deepblue);
  stroke-width: 0.5;
  transform: translateY(25px);
  transform-box: fill-box;
  transform-origin: 50% 100%;
}
/* .drop1 {
  
} */
.drop2 {
  animation-delay: 3s;
  animation-duration: 3s;
}
.drop3 {
  animation-delay: -2s;
  animation-duration: 3.4s;
}
.drop4 {
  animation-delay: 1.7s;
}
.drop5 {
  animation-delay: 2.7s;
  animation-duration: 3.1s;
}
.drop6 {
  animation-delay: -2.1s;
  animation-duration: 3.2s;
}
.gooeff {
  filter: url(#goo);
}
#wave2 {
  animation-duration: 5s;
  animation-direction: reverse;
  opacity: 0.6;
}
#wave3 {
  animation-duration: 7s;
  opacity: 0.3;
}
@keyframes drop {
  0% {
    transform: translateY(25px);
  }
  30% {
    transform: translateY(-10px) scale(0.1);
  }
  30.001% {
    transform: translateY(25px) scale(1);
  }
  70% {
    transform: translateY(25px);
  }
  100% {
    transform: translateY(-10px) scale(0.1);
  }
}
@keyframes wave {
  to {
    transform: translateX(-100%);
  }
}

.empty-div {
  height: 20em;
}

.footer-text2 {
  color: white;
  text-align: center;
}

.footer-contact {
  background-color: #4578e3;
  margin: 0;
  padding: 12px 25px;
}

.footer-contact a {
  text-decoration: none;
  color: white;
}
.footer-contact li {
  text-decoration: none;
  color: white;
  display: inline;
  margin: 12px;
  font-size: 1.2em;
}

@import url(./?mortyurl=https%3A%2F%2Ffonts.googleapis.com%2Fcss%3Ffamily%3DPT%2BSans%2BNarrow);

/* * {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

body, div, dl, dt, dd, ul, ol, li, h1, h2, h3, h4, h5, h6, pre, form, p, blockquote, th, td {
  margin: 0;
  padding: 0;
  font-size: 13px;
  direction: ltr;
} */

.sectionClass {
  padding: 20px 0px 50px 0px;
  position: relative;
  display: block;
}

.fullWidth {
  width: 100% !important;
  display: table;
  float: none;
  padding: 0;
  min-height: 1px;
  height: 100%;
  position: relative;
}

.sectiontitle {
  background-position: center;
  margin: 30px 0 0px;
  text-align: center;
  min-height: 20px;
}

.sectiontitle h2 {
  font-size: 30px;
  color: #222;
  margin-bottom: 0px;
  padding-right: 10px;
  padding-left: 10px;
}

.headerLine {
  width: 160px;
  height: 2px;
  display: inline-block;
  background: #101f2e;
}

.projectFactsWrap {
  display: flex;
  margin-top: 30px;
  flex-direction: row;
  flex-wrap: wrap;
}

#projectFacts .fullWidth {
  padding: 0;
}

.projectFactsWrap .item {
  width: 25%;
  height: 100%;
  padding: 50px 0px;
  text-align: center;
}

.projectFactsWrap .item:nth-child(1) {
  background: rgb(16, 31, 46);
}

.projectFactsWrap .item:nth-child(2) {
  background: rgb(18, 34, 51);
}

.projectFactsWrap .item:nth-child(3) {
  background: rgb(21, 38, 56);
}

.projectFactsWrap .item:nth-child(4) {
  background: rgb(23, 44, 66);
}

.projectFactsWrap .item p.number {
  font-size: 40px;
  padding: 0;
  font-weight: bold;
}

.projectFactsWrap .item p {
  color: rgba(255, 255, 255, 0.8);
  font-size: 18px;
  margin: 0;
  padding: 10px;
  font-family: "Open Sans";
}

.projectFactsWrap .item span {
  width: 60px;
  background: rgba(255, 255, 255, 0.8);
  height: 2px;
  display: block;
  margin: 0 auto;
}

.projectFactsWrap .item i {
  vertical-align: middle;
  font-size: 50px;
  color: rgba(255, 255, 255, 0.8);
}

.projectFactsWrap .item:hover i,
.projectFactsWrap .item:hover p {
  color: white;
}

.projectFactsWrap .item:hover span {
  background: white;
}

@media (max-width: 786px) {
  .projectFactsWrap .item {
    flex: 0 0 50%;
  }
}

/* AUTHOR LINK */

footer {
  z-index: 100;
  padding-top: 50px;
  padding-bottom: 50px;
  width: 100%;
  bottom: 0;
  left: 0;
}

footer p {
  color: rgba(255, 255, 255, 0.8);
  font-size: 16px;
  opacity: 0;
  font-family: "Open Sans";
  width: 100%;
  word-wrap: break-word;
  line-height: 25px;
  -webkit-transform: translateX(-200px);
  transform: translateX(-200px);
  margin: 0;
  -webkit-transition: all 250ms ease;
  -moz-transition: all 250ms ease;
  transition: all 250ms ease;
}

footer .authorWindow a {
  color: white;
  text-decoration: none;
}

footer p strong {
  color: rgba(255, 255, 255, 0.9);
}

.about-me-img {
  width: 120px;
  height: 120px;
  left: 10px;
  /* bottom: 30px; */
  position: relative;
  border-radius: 100px;
}

/* .about-me-img img {
} */

.authorWindow {
  width: 600px;
  background: #75439a;
  padding: 22px 20px 22px 20px;
  border-radius: 5px;
  overflow: hidden;
}

.authorWindowWrapper {
  display: none;
  left: 110px;
  top: 0;
  padding-left: 25px;
  position: absolute;
}

.trans {
  opacity: 1;
  -webkit-transform: translateX(0px);
  transform: translateX(0px);
  -webkit-transition: all 500ms ease;
  -moz-transition: all 500ms ease;
  transition: all 500ms ease;
}

@media screen and (max-width: 768px) {
  .authorWindow {
    width: 210px;
  }

  .authorWindowWrapper {
    bottom: -170px;
    margin-bottom: 20px;
  }

  footer p {
    font-size: 14px;
  }
}

.snowflakes {
  width: 90%;
  height: 100%;
  position: absolute;
  top: -90px;
  left: 10%;
}

.snowflakes i,
.snowflakes i:after,
.snowflakes i:before {
  background: white;
}
.snowflakes i {
  display: inline-block;
  -webkit-animation: snowflakes 3s linear 2s 20;
  -moz-animation: snowflakes 3s linear 2s 20;
  position: relative;
  z-index: 100;
}
.snowflakes i:after,
.snowflakes i:before {
  height: 100%;
  width: 100%;
  content: ".";
  position: absolute;
  top: 0px;
  left: 0px;
  -webkit-transform: rotate(120deg);
}
.snowflakes i:before {
  -webkit-transform: rotate(240deg);
}

@-webkit-keyframes snowflakes {
  0% {
    -webkit-transform: translate3d(0, 0, 0) rotate(0deg) scale(0.6);
  }
  100% {
    -webkit-transform: translate3d(0, calc(100vh + 400px), 0px) rotate(360deg)
      scale(0.6);
  }
}

.snowflakes i:nth-child(3n) {
  width: 100px;
  height: 4px;
  -webkit-animation-duration: 6s;
  -webkit-animation-iteration-count: 30;
  /* -webkit-transform-origin: right -45px; */
}

.snowflakes i:nth-child(3n + 1) {
  width: 24px;
  height: 6px;
  -webkit-animation-duration: 8s;
  -webkit-animation-iteration-count: 45;
  /* -webkit-transform-origin: right -30px; */
}

.snowflakes i:nth-child(3n + 2) {
  width: 32px;
  height: 8px;
  -webkit-animation-duration: 10s;
  -webkit-animation-iteration-count: 60;
  /* -webkit-transform-origin: right -15px; */
}

/* different delays so they don't all start at the same time */
.snowflakes i:nth-child(7n) {
  opacity: 0.3;
  -webkit-animation-delay: 0s;
  -webkit-animation-timing-function: ease-in;
}
.snowflakes i:nth-child(7n + 1) {
  opacity: 0.4;
  -webkit-animation-delay: 1s;
  -webkit-animation-timing-function: ease-out;
}
.snowflakes i:nth-child(7n + 2) {
  opacity: 0.5;
  -webkit-animation-delay: 1.5s;
  -webkit-animation-timing-function: linear;
}
.snowflakes i:nth-child(7n + 3) {
  opacity: 0.6;
  -webkit-animation-delay: 2s;
  -webkit-animation-timing-function: ease-in;
}
.snowflakes i:nth-child(7n + 4) {
  opacity: 0.7;
  -webkit-animation-delay: 2.5s;
  -webkit-animation-timing-function: linear;
}
.snowflakes i:nth-child(7n + 5) {
  opacity: 0.8;
  -webkit-animation-delay: 3s;
  -webkit-animation-timing-function: ease-out;
}
.snowflakes i:nth-child(7n + 6) {
  opacity: 0.9;
  -webkit-animation-delay: 3.5s;
  -webkit-animation-timing-function: ease-in;
}
